#!/bin/bash

export KEYNAME=dpkg

gpg --import keys/${KEYNAME}.key

pushd /repo
    apt-ftparchive --arch amd64 packages amd64 > Packages
    gzip -k -f Packages
    apt-ftparchive release . > Release
    rm -fr Release.gpg; gpg --default-key ${KEYNAME} -abs -o Release.gpg Release
    rm -fr InRelease; gpg --default-key ${KEYNAME} --clearsign -o InRelease Release
popd
